classification
Title: patch: __deepcopy__ memo dict argument usage
Type: enhancement Stage: resolved
Components: Documentation Versions:
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: docs@python Nosy List: danielsh, docs@python, iritkatriel, nanjekyejoannah, r.david.murray
Priority: normal Keywords: patch

Created on 2015-03-29 06:01 by danielsh, last changed 2020-08-18 22:41 by nanjekyejoannah. This issue is now closed.

Files
File name Uploaded Description Edit
opaque.diff danielsh, 2015-03-29 06:01 review
Pull Requests
URL Status Linked Edit
PR 21326 merged nanjekyejoannah, 2020-07-05 03:39
Messages (5)
msg239473 - (view) Author: Daniel Shahaf (danielsh) Date: 2015-03-29 06:01
In the 'copy' module documentation, it wasn't fully clear to me how __deepcopy__ implementations should treat the memo dict argument.  The attached patch clarifies that __deepcopy__ implementations should treat the memo dict argument as an opaque type.
msg239489 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2015-03-29 14:11
I would rather say simply "The memo dictionary should be treated as an opaque object".  On the other hand, I doubt we will ever change the structure of the memo dict, because I'm sure that somewhere out there there is code that is *not* treating it as opaque :)
msg373242 - (view) Author: Joannah Nanjekye (nanjekyejoannah) * (Python committer) Date: 2020-07-07 19:58
The Pr should sort this. I will merge it tommorrow if there is no objection.
msg373436 - (view) Author: Joannah Nanjekye (nanjekyejoannah) * (Python committer) Date: 2020-07-10 00:36
New changeset 3cbade7d309ab1ea97ec286d19d506df30bd1ab7 by Joannah Nanjekye in branch 'master':
bpo-23802: patch: __deepcopy__ memo dict argument usage (GH-21326)
https://github.com/python/cpython/commit/3cbade7d309ab1ea97ec286d19d506df30bd1ab7
msg375630 - (view) Author: Irit Katriel (iritkatriel) * Date: 2020-08-18 22:26
This seems resolved, can it be closed?
History
Date User Action Args
2020-08-18 22:41:27nanjekyejoannahsetstatus: open -> closed
stage: patch review -> resolved
2020-08-18 22:26:58iritkatrielsetnosy: + iritkatriel
messages: + msg375630
2020-07-10 00:36:42nanjekyejoannahsetmessages: + msg373436
2020-07-07 19:58:58nanjekyejoannahsetmessages: + msg373242
2020-07-05 03:39:39nanjekyejoannahsetnosy: + nanjekyejoannah

pull_requests: + pull_request20476
stage: patch review
2015-03-29 14:11:59r.david.murraysetnosy: + r.david.murray
messages: + msg239489
2015-03-29 06:01:41danielshcreate